Create a webhook

Registers an endpoint. The response includes the signing secret — it is shown only once, so store it.
POSThttps://api.clicklookup.com/v1/webhooks

Requires an API key

Request body2

  • eventsarray of enumsrequired

    Events that trigger a delivery.

  • urlstring · urlrequired

    Absolute http(s) URL

Response · 2012

  • secretstringrequired
  • webhookobjectrequired
    Show 7 child attributes
    • createdAtstring · date-timerequired

      ISO-8601 timestamp with offset

    • enabledbooleanrequired

      Whether the item is active.

    • eventsarray of enumsrequired

      Events that trigger a delivery.

    • idstring · uuidrequired

      UUID primary key

    • updatedAtstring · date-timerequired

      ISO-8601 timestamp with offset

    • urlstring · urlrequired

      Absolute http(s) URL

    • workspaceIdstring · uuidrequired

      UUID primary key